{ config, lib, pkgs, ... } :
with lib;
{
  home.packages = with pkgs; 
  [
    file
    gcc
    helix
    killall
    libsForQt5.breeze-gtk
    man-pages
    man-pages-posix
    tree
    units
    unzip
    zip
  ] ++ optionals ( !config.home.isolation.active ) [
    arandr
    arduino
    betterdiscordctl
    blas
    calc
    cargo-edit
    chromium
    deluge
    discord
    firefox
    gruvbox-dark-icons-gtk
    htop
    jetbrains.pycharm-professional
    jellyfin-media-player
    jq
    libreoffice-fresh
    maim
    mpv
    obs-studio
    okular
    pandoc
    pavucontrol
    pdfarranger
    polymc
    protonup
    rar
    runelite
    rust-analyzer
    rustup
    signal-desktop
    spotify
    tdesktop
    teams
    thunderbird
    tor
    tor-browser-bundle-bin
    usbutils
    virt-manager
    vlc
    xclip
    xournalpp
    zoom-us
  ];
}
