{ lib, vscode-utils }: with vscode-utils; {
  rust-lang.rust = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "rust-lang";
      name = "rust";
      version = "0.7.8";
      sha256 = "sha256-Y33agSNMVmaVCQdYd5mzwjiK5JTZTtzTkmSGTQrSNg0=";
    };
    meta.license = lib.licenses.mit;
  };

  sirtori.indenticator = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "sirtori";
      name = "indenticator";
      version = "0.7.0";
      sha256 = "sha256-J5iNO6V5US+GFyNjNNA5u9H2pKPozWKjQWcLAhl+BjY=";
    };
    meta.license = lib.licenses.mit;
  };

  laurenttreguier.vscode-simple-icons = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "laurenttreguier";
      name = "vscode-simple-icons";
      version = "1.16.0";
      sha256 = "sha256-dFJ3elMHSUyS/hAY0YovL4MxurV9YQmkqFjXgJNDErs=";
    };
    meta.license = lib.licenses.cc0;
  };
   
  Gimly81.matlab = buildVscodeMarketplaceExtension {
    mktplcRef = {
      publisher = "Gimly81";
      name = "matlab";
      version = "2.3.1";
      sha256 = lib.fakeSha256;
    };
    meta.license = lib.licenses.mit;
  };
}
